body {
    background-color: #f8f9fa!important;
}

:root {
    --primary: #94618e;
    --primary_15l: rgb(231, 187, 226)618e;
    --secondary: #ffffff;
}

.justify {
    text-align: justify;
}
a {
    /*color: var(--secondary);*/
}
a:hover {
    /*color: var(--secondary);*/
}

.text-primary {
    color: var(--primary)!important;
}

.bg-primary {
    background-color: var(--primary)!important;
    color: var(--secondary)!important;
}


#content #calendar .fc-event {
    color: var(--secondary)!important;
}
.fc-day-grid-event .fc-content:before{
    background: var(--secondary)!important;
}

.btn-primary {
    color: var(--secondary) !important;
    background-color: var(--primary) !important;
    border-color: var(--primary) !important;
    box-shadow: 0 10px 20px -10px var(--primary) !important;
}
.btn-primary:hover {
    color: var(--secondary) !important;
    background-color: var(--primary) !important;
    border-color: var(--primary) !important;
    -webkit-filter: brightness(80%) !important;
	-moz-filter: brightness(80%) !important;
	-o-filter: brightness(80%) !important;
	-ms-filter: brightness(80%) !important;
	filter: brightness(80%) !important;
}
span.badge-primary {
    background: var(--primary) !important;
}

.custom-file-label::after {
    content: "Parcourir";
}




#sidebar .theme-brand {
    background-color: var(--primary);
    padding: 0.9px 12px;
}
.navbar-brand {
    margin: 0 auto;
}
.mailbox-inbox .mail-item div.mail-item-heading:hover {
    border-color: var(--primary) !important;
}
.table > thead > tr > th,
div.dataTables_wrapper div.dataTables_info,
#sidebar ul.menu-categories ul.submenu > li a:hover,
#sidebar ul.menu-categories ul.submenu > li.active a,
.tab-title .nav-pills .nav-link.active, .tab-title .nav-pills .show > .nav-link,
.navbar .navbar-item .nav-item.user-profile-dropdown .dropdown-menu .dropdown-item:hover svg, .navbar .navbar-item .nav-item.user-profile-dropdown .dropdown-menu .dropdown-item:hover span{
    color: var(--primary) !important;
}
#sidebar ul.menu-categories ul.submenu > li a:hover:before,
.tab-title #btn-compose-mail,
.page-item.active .page-link{
    background-color: var(--primary) !important;
}
.navbar .navbar-item .nav-item.user-profile-dropdown .dropdown-menu .dropdown-item:hover svg, .navbar .navbar-item .nav-item.user-profile-dropdown .dropdown-menu .dropdown-item:hover span,
.nav-pills .nav-link.active svg, .tab-title .nav-pills .show > .nav-link svg ,
#sidebar ul.menu-categories li.menu > .dropdown-toggle:hover {
    color: var(--primary) !important;
    fill: var(--primary_15l) !important;
}
#sidebar ul.menu-categories li.menu > .dropdown-toggle:hover svg {
    color: var(--primary);
    fill: var(--primary_15l);
}
#sidebar ul.menu-categories li.menu > .dropdown-toggle[aria-expanded="true"] svg,
#sidebar ul.menu-categories li.menu.active > .dropdown-toggle svg {
    fill-opacity: 0.5;
}
#sidebar .theme-brand li.theme-text a {
    font-size: 15px !important;
    text-transform: uppercase;
    color: white !important;
}
#sidebar .navbar-nav .theme-text {
    margin: 0 auto;
}


.was-validated select.select2:invalid + .select2.select2-container.select2-container--default span.select2-selection, select.select2.is-invalid + .select2.select2-container.select2-container--default span.select2-selection,
.was-validated textarea:invalid + #cke_message_body{
    border-color: #fa5c7c;
    padding-right: 2.25rem;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23fa5c7c' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23fa5c7c' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E");
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 0.1875rem) center;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}
.was-validated select.select2:invalid + .select2.select2-container.select2-container--default .select2-selection__arrow, select.select2.is-invalid + .select2.select2-container.select2-container--default .select2-selection__arrow {
    right: 25px!important;
}
.was-validated select.select2:valid + .select2.select2-container.select2-container--default span.select2-selection, select.select2.is-valid + .select2.select2-container.select2-container--default span.select2-selection {
    border-color: #0acf97;
    padding-right: 2.25rem;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%230acf97' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 0.1875rem) center;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}
.was-validated select.select2:valid + .select2.select2-container.select2-container--default .select2-selection__arrow, select.select2.is-valid + .select2.select2-container.select2-container--default .select2-selection__arrow {
    right: 25px!important;
}


@media (max-width: 991px) {
    .navbar .navbar-item .nav-item.message-dropdown .dropdown-menu {
        right: -35px !important;
    }
    .navbar .navbar-item .nav-item.message-dropdown .dropdown-menu:after {
        right: 35px !important;
    }
}


.custom-file-label, .custom-file {
    height: calc(1.5em + .75rem + 2px) !important;
}
.vich-file > div.form-group {
    width: 50%;
    float: left;
}
.vich-file a {
    width: 50%;
    float: right;
    text-align: right;
    font-size: 15px;
    color: #acb0c3;
    letter-spacing: 1px;
    padding-top: 5px;
}

.timesheet_timesheetProjects-collection-actions {
    margin-left: 1rem!important;
}

ul.table-controls {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    margin: 0.5rem 0;
}
ul.table-controls a {
    height: 100%;
    width: 100%;
    display: block;
}

.table-responsive .table-hover:not(.table-dark) tbody tr:hover {
    -webkit-transform: none;
    transform: none;
    background-color: #f7f7f7 !important;
}


#miniFooterWrapper {
    padding: 15px 15px 0 15px;
    z-index: 1030;
}
#miniFooterWrapper .navbar.expand-header {
    margin: 0 0 0 265px !important;
}
#miniFooterWrapper .navbar>div {
    overflow: auto;
    white-space: nowrap;
}
@media (min-width: 992px) {
    .sidebar-noneoverflow #miniFooterWrapper .navbar.expand-header {
        margin: 0 auto !important; }
    .sidebar-noneoverflow #miniFooterWrapper{
        padding-left: 80px;
    }
}
.main-container {
    padding-bottom: 70px;
}

.cke_bottom {
    display: none !important;
}

.select-all {
    text-align: center;
}
table.dataTable>thead .sorting:before, table.dataTable>thead .sorting_asc:before, table.dataTable>thead .sorting_desc:before,
table.dataTable>thead .sorting:after, table.dataTable>thead .sorting_asc:after, table.dataTable>thead .sorting_desc:after 
{
    display: none !important;
    content: " " !important;
}

table.bulkTable > tbody > tr > td {
    position: relative;
}

table.bulkTable > tbody > tr#row-1 .row-delete {
    display: none;
}
table.bulkTable > tbody > tr.error{
    border: 2px dashed red;
}

.table .select2-container.mb-4 {
    margin-bottom: 0!important;
}


table.rotate-header {
    width: auto;
}
table.rotate-header th.no-rotate {
    border: 0;
}
table.rotate-header td {
    width: 30px;
    text-align: right;
}

table.rotate-header td.fit { 
    max-width:100%;
    white-space:nowrap;
}
th.rotate {
    /* Something you can count on */
    height: 140px;
    white-space: nowrap;
    vertical-align: inherit !important;
    border-collapse: collapse !important;
    border: 0;
}
th.rotate > div {
    transform: 
      /* Magic Numbers */
      translate(49px, 42px)
      /* 45 is really 360 - 45 */
      rotate(322deg);
    width: 60px;
  }
  th.rotate > div > span {
    border-bottom: 1px solid #ccc;
    padding: 5px 10px;
  }


  .form-control::placeholder {
    color: #dbddea;
  }

  #timetableModal .modal-dialog {
    margin-bottom: 300px;
  }

  .dt-checkboxes-cell {
      text-align: center;
  }
  label.switch {
    margin-bottom: 0;
}
.table > tbody:before {
    line-height: 0 !important;
}

.navbar-brand {
    width: 17.5rem;
    text-align: center;
}
.navbar-brand img {
    width: auto;
    height: auto;
    max-height: 50px;
    max-width: 100%;
}
@media (max-width: 1024px) {
    .navbar-brand{
        width: 12.5rem;
    }
}
@media (max-width: 320px) {
    .navbar-brand{
        width: 8.5rem;
    }
}

.button-loading svg {
    visibility: hidden;
    opacity: 0;
  }

.button-loading::after {
content: "";
position: absolute;
width: 20px;
height: 20px;
left: 20px;
margin: auto;
border: 4px solid transparent;
border-top-color: #ffffff;
border-radius: 50%;
animation: button-loading-spinner 1s ease infinite;
}

@keyframes button-loading-spinner {
from {
    transform: rotate(0turn);
}

to {
    transform: rotate(1turn);
}
}



/* Signature */
canvas {
    width: 400px;
    height: 200px;
}

.carousel__button.fancybox__button--slideshow {
    display: none;
}


a.maps_selector {
    display: flex;
    flex-direction: row;
    align-items: center;
    text-decoration: underline;
}

a.maps_selector svg {
    margin: 0 5px 0;
}

.collection-actions-container {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.form-group #service_status {
    display: flex;
}
.form-group #service_status .form-check {
    margin-right: 2rem ;
}

form .checkbox-container {
    display: flex;
    align-items: center;
}

.workforce-entry {
    position: relative;
}
.workforce-entry-signature a {
    position: relative;
}
.workforce-entry-signature span {
    position: absolute;
    left: 0;
    bottom: -12px;
    font-size: 20px;
    color: green;
    text-shadow: #fff 1px 0 3px;
    font-weight: bold;
}
.workforce-entry-signature.manager {
    position: absolute;
    right: 0;
    bottom: 33px;
}
.workforce-entry-signature.user {
    display: flex;
    flex-direction: column;
    justify-content: center;
}


.timer-container {
    margin-bottom: 1rem;
}
.edit-event-box table tr {
    border: 1px solid #e0e6ed;
}

.timer-container .counter-container {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: center;
}

.timer-container .counter-container > div {
    margin-left: 15px;
}

.timer-container .btn {
    width: 30px;
    height: 30px;
    padding: 3px 6px;
    border-radius: 15px;
    text-align: center;
    font-size: 12px;
    line-height: 1.42857;
}
.timer-container .btn.stop {
    padding: 3px 4px;
}
.timer-container .comment-container {
    justify-content: flex-end;
}
.timer-container .btn.ok, .timer-container .btn.cancel {
    margin-right: 15px;
    padding: 3px 4px;
}
.punch-status {
    border-radius: 50%;
    height: 17px;
    width: 17px;
    display: block;
    margin: 0 auto;
    padding: 0;
    cursor: pointer;
}
.punch-status.red {
    background-color: red;
}
.punch-status.blue {
    background-color: blue;
}
.punch-status.green {
    background-color: green;
}
.select2-container--default .select2-search--inline .select2-search__field {
    min-width: 285px;
}


.rrule div {
    margin-bottom: 1em;
  }
  .rrule select {
    width: auto !important;
    padding: 0 5px;
}
  .rrule-freq, .rrules-end, .rrule .monthly-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
  }
  .rrule-freq input.interval {
    margin: 0 1rem !important;
    width: 5em !important;
    }
    
  .yearly .yearly-onthe {
    display: none;
  }
  .monthly .monthly-onthe {
    display: none;
  }
  .monthly {
    display: none;
  }
  .weekly {
    display: none;
  }
  .hourly {
    display: none;
  }
  .recursive-container input[type="number"] {
    width: 2em;
  }
  .rrules-end > span {
    display: none;
  }
  .rrules-end select {
    width: auto !important;
}
.rrules-end input.interval, .rrules-end input.date {
    margin: 0 !important;
    display: inline-block;
}
.rrules-end input.interval {
    margin: 0 0.5rem 0 0 !important;
    width: 5em !important;
    }
  .rrule {
    padding: 1em;
    width: 100%;
  }

  .rrule .check-btn {
    appearance: none;
    display: none;
    height: 0;
    width: 0;
  }
    
  .rrule .check-btn + label {
      display: inline-block;
      margin-bottom: .5em;
      padding: .5em .9em;
      border-radius: 100em;
      color: #555 !important;
      background-color: #e9e9e9;
      border: none !important;
      min-width: 2.3rem;
    }
    
    .rrule .check-btn:checked + label {
      background-color: var(--primary);
      color: white !important;
      border: none !important;
    }


    #calendar .select2-container--default .select2-selection--multiple {
        padding: 0;
    }
    #calendar.fc-custom .fc-scroller {
        overflow: scroll !important;
    }
    #calendar.fc-custom.fc .fc-axis {
        white-space: inherit !important;
    }

    #calendar.fc-custom.fc .fc-day {
        cursor: pointer;
    }
    #calendar.fc-custom.fc .fc-day:hover {
        background-color: #f7f8f9;
    }
    #calendar.fc-custom.fc .fc-content-skeleton,
    #calendar.fc-custom.fc .fc-content-skeleton .fc-event-container
     {
        pointer-events: none;
    }
    #calendar.fc-custom.fc .fc-content-skeleton table td:not(:empty),
    #calendar.fc-custom.fc .fc-content-skeleton .fc-event-container a.fc-event {
        pointer-events: all;
        cursor: pointer;
    }
    .planner .timer-container {
        display: none;
    }

    .recursive-container .all-day {
        display: flex;
        flex-direction: column;
    }
  
  
.tagsinput,.tagsinput *{box-sizing:border-box}
.tagsinput{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-flex-wrap:wrap;-ms-flex-wrap:wrap;flex-wrap:wrap;background:#fff;font-family:sans-serif;font-size:14px;line-height:20px;color:#556270;padding:5px 5px 0;border:1px solid #e6e6e6;border-radius:2px}
.tagsinput.focus{border-color:#ccc}
.tagsinput .tag{position:relative;background:#556270;display:block;max-width:100%;word-wrap:break-word;color:#fff;padding:5px 30px 5px 5px;border-radius:2px;margin:0 5px 5px 0}
.tagsinput .tag .tag-remove{position:absolute;background:0 0;display:block;width:30px;height:30px;top:0;right:0;cursor:pointer;text-decoration:none;text-align:center;color:#ff6b6b;line-height:30px;padding:0;border:0}
.tagsinput .tag .tag-remove:after,.tagsinput .tag .tag-remove:before{background:#ff6b6b;position:absolute;display:block;width:10px;height:2px;top:14px;left:10px;content:''}
.tagsinput .tag .tag-remove:before{-webkit-transform:rotateZ(45deg);transform:rotateZ(45deg)}
.tagsinput .tag .tag-remove:after{-webkit-transform:rotateZ(-45deg);transform:rotateZ(-45deg)}
.tagsinput div{-webkit-box-flex:1;-webkit-flex-grow:1;-ms-flex-positive:1;flex-grow:1}
.tagsinput div input{background:0 0;display:block;width:100%;font-size:14px;line-height:20px;padding:5px;border:0;margin:0 5px 5px 0}
.tagsinput div input.error{color:#ff6b6b}
.tagsinput div input::-ms-clear{display:none}
.tagsinput div input::-webkit-input-placeholder{color:#ccc;opacity:1}
.tagsinput div input:-moz-placeholder{color:#ccc;opacity:1}
.tagsinput div input::-moz-placeholder{color:#ccc;opacity:1}
.tagsinput div input:-ms-input-placeholder{color:#ccc;opacity:1}
